Cyberduck Mountain Duck CLI

#6438 closed enhancement (fixed)

Multiple File Delete with MFA in Amazon S3

Reported by: Ctruxaw Owned by: dkocher
Priority: high Milestone: 4.3
Component: s3 Version: 4.2
Severity: normal Keywords: MFA, delete, S3
Cc: Architecture:
Platform:

Description

With Amazon's new "Multi-Object Delete API", it should be possible to delete multiple files from a bucket using a single MFA token (currently in Cyberduck if you wish to delete more than 1 file which is protected with MFA, you have to enter a token for EACH delete request).

For information on this update to the S3 API, see: http://docs.amazonwebservices.com/AmazonS3/latest/dev/index.html?DeletingObjects.html

Change History (5)

comment:1 Changed on Dec 12, 2011 at 9:06:11 PM by dkocher

  • Milestone set to 4.3
  • Status changed from new to assigned

comment:2 Changed on Dec 18, 2011 at 10:05:44 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r9355.

comment:3 Changed on Sep 26, 2012 at 4:52:36 PM by dkocher

  • Milestone changed from 4.3 to 4.2.2

comment:4 follow-up: Changed on Sep 1, 2013 at 10:14:19 PM by Ctruxaw

  • Resolution fixed deleted
  • Status changed from closed to reopened

The latest release (4.3.1) does not appear to work properly. An MFA token is required for EVERY delete, even when selecting and deleting multiple objects at once.

comment:5 in reply to: ↑ 4 Changed on Sep 2, 2013 at 8:00:45 AM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

Replying to Ctruxaw:

The latest release (4.3.1) does not appear to work properly. An MFA token is required for EVERY delete, even when selecting and deleting multiple objects at once.

Please update to the latest snapshot build available.

Note: See TracTickets for help on using tickets.
swiss made software